Subject: [AVT] RTP MIDI I-D updates ...

From: lazzaro <[email-masked]>
Date: Sun, 24 Apr 2005 21:40:18 -0700

Hi everyone,

	Just sent off RTP MIDI I-D updates
to internet-drafts, you can download them
now from the Berkeley mirror site:

http://www.cs.berkeley.edu/~lazzaro/sa/pubs/txt/current-rtp-midi.txt
http://www.cs.berkeley.edu/~lazzaro/sa/pubs/txt/current-guide.txt

	Until May 15th, I'll be busy wrapping up
the course I'm teaching this semester, so I doubt
I'll be able to reply in depth to AVT threads before
then ... so, please be patient ... thanks!

	The change log is 20+ pages: the first
section points to document changes due to
Magnus's 44 points, and ensuing AVT threads.
The second section handles issues found by
implementors at GRAME and elsewhere.

	For non-MIDI folks, the most interesting part
of the document is Appendix C.6.2.  This is part
of the rewritten Appendix C.6 on interoperability.
Each major subsection defines interoperability
for a specific class of RTP MIDI application:
C.6.1 for traditional content streaming using RTSP,
C.6.2 for "stage and studio" RTSP servers and
clients, and C.6.3 for SIP-based Network Musical
Performance.

	C.6.2 is interesting because I did my best
to push RTSP as hard as I could to handle the
full range of stage and studio products. In the process,
I basically had to bend RTSP until it (almost) broke,
and I still didn't quite get all the semantics I need
to get the functionality pro audio folks will expect.
See C.6.2 for details; for those short on time, read the
preamble, then skip to the examples in C.6.2.3.

	There are many paths possible on this issue.
Ideally, there's a way to keep the stage and studio
material in the RTP MIDI I-Ds, use RTSP as is, and
fully solve the problem.  But maybe that's not possible.
If so, we'll have to think outside the box.

	Until May 15th, I'll be busy wrapping up
the course I'm teaching this semester, so I doubt
I'll be able to reply in depth to AVT threads before
then ... so, please be patient ... thanks!

---
John Lazzaro
http://www.cs.berkeley.edu/~lazzaro
lazzaro [at] cs [dot] berkeley [dot] edu
---

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt